ideviceactivation(1)

NAME
ideviceactivation - Activate or deactivate an iOS device.

SYNOPSIS
ideviceactivation activate [OPTIONS] ideviceactivation deactivate [OPTIONS] ideviceactivation state [OPTIONS]

DESCRIPTION
Allows to activate and deactivate iOS devices by talking to Apple's webservice. If the activation process uses forms, input will be requested from the user.

COMMANDS

activate
    Attempt to activate the device.

deactivate
    Deactivates the device.

state
    Query device for activation state.

OPTIONS

-d, --debug
    Enable communication debugging.

-u, --udid UDID
    Target specific device by UDID.

-n, --network
    Connect to network device.

-b, --batch
    Explicitly run in non-interactive mode (default: auto-detect).

-s, --service URL
    Use activation webservice at URL instead of default.

-v, --version
    Print version information and exit.

-h, --help
    Prints usage information.

AUTHOR
Martin Szulecki

ON THE WEB
http://www.libimobiledevice.org https://github.com/libimobiledevice/libideviceactivation/